# Run tests in check section
%bcond_without check

Version:    0.50.0

%global common_description %{expand:
KTechLab is an IDE for microcontrollers and electronics.
It supports circuit simulation, program development for microcontrollers and
simulating the programmed microcontroller together with its application circuit.}


Name:       ktechlab
Release:    %mkrel 1
Summary:    KTechlab is an IDE for microcontrollers and electronics
License:    GPL-v2
Group:      Development/Other

URL:        https://invent.kde.org/sdk/%{name}
Source0:    %{URL}/-/archive/v%{version}/%{name}-v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: extra-cmake-modules
BuildRequires: kf5-macros
BuildRequires: kconfig-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kdoctools-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kdelibs4support-devel
BuildRequires: kio-devel
BuildRequires: kparts-devel
BuildRequires: ktexteditor-devel
BuildRequires: ktextwidgets-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel
BuildRequires: khtml-devel
BuildRequires: gpsim-devel

# Required dependencies
# 
# - Qt5 -dev
# - cmake
# - glib -dev
# - Extra Cmake Modules (ECM)
# - KDE Frameworks 5 libraries -dev  (at the time of writing:
#    Config CoreAddons DocTools IconThemes I18n KDELibs4Support
#     KIO Parts TextEditor TextWidgets WidgetsAddons
#     WindowSystem XmlGui)
# 
# Optional dependencies
# 
# - GPSim -dev, for microcontroller support

%description
%{common_description}


%prep
%setup -q -n %{name}-v%{version}


%build
%cmake
pushd build
%make_build
popd


%install
pushd build
%make_install
popd


%files
%{_bindir}/ktechlab
%{_bindir}/microbe
%{_kf5_applicationsdir}/org.kde.ktechlab.desktop
%{_datadir}/config.kcfg/ktechlab.kcfg
%{_docdir}/HTML/en/ktechlab/*.docbook
%{_docdir}/HTML/en/ktechlab/index.cache.bz2
%{_iconsdir}/hicolor/{128x128,64x64,48x48,32x32,22x22,16x16}/apps/{ktechlab,microbe}.png
%{_iconsdir}/hicolor/{128x128,64x64,48x48,32x32,22x22,16x16}/mimetypes/application-x-*.png
%{_datadir}/katepart5/syntax/microbe.xml
%{_datadir}/ktechlab/*
%{_kf5_kxmlguidir}/ktechlab/*.rc
%{_metainfodir}/org.kde.ktechlab.appdata.xml
%{_datadir}/mime/packages/ktechlab_mime.xml
